Bug 1195839 - no execveat in rhel6 kernel
Summary: no execveat in rhel6 kernel
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: systemtap
Version: 6.7
Hardware: Unspecified
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Frank Ch. Eigler
QA Contact: Martin Cermak
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-24 17:07 UTC by Martin Cermak
Modified: 2015-07-23 16:24 UTC (History)
4 users (show)

(edit)
The systemtap's system call tapset-library unconditionally included support for the "execveat" system call, even though "execveat" did not exist in Red Hat Enterprise Linux 6 kernels. Consequently, system call probing scripts could fail with a semantic error. With this update, "execveat" is treated conditionally, and the scripts no longer fail in this situation.
Clone Of:
(edit)
Last Closed: 2015-07-22 06:45:12 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:1333 normal SHIPPED_LIVE systemtap bug fix and enhancement update 2015-07-20 18:00:10 UTC

Description Martin Cermak 2015-02-24 17:07:06 UTC
The rhel6 kernel (2.6.32-536.el6) doesn't have the execveat syscall. Due to this [nd]_syscalls-detailed.stp fails:

=======
Running ./buildok/syscalls-detailed.stp
starting ./buildok/syscalls-detailed.stp 
spawn2 ./buildok/syscalls-detailed.stp 
spawn ./buildok/syscalls-detailed.stp
semantic error: while resolving probe point: identifier 'syscall' at ./buildok/syscalls-detailed.stp:345:7
        source: probe syscall.execveat, syscall.compat_execveat ?
                      ^

semantic error: no match

Pass 2: analysis failed.  [man error::pass2]
=======

Please, backport upstream commit 86c7acd.

Comment 2 Martin Cermak 2015-04-15 12:34:54 UTC
Verified against systemtap-2.7-2.el6. Covered by upstream testsuite.

Comment 3 errata-xmlrpc 2015-07-22 06:45:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-1333.html


Note You need to log in before you can comment on or make changes to this bug.